Skip to main content
POST
/
v1
/
pipeline
/
document-preview
{
  "input": "https://example.com/document.pdf",
  "pages": 3,
  "width": 800
}
curl -X POST https://api.ringbee.dev/v1/pipeline/document-preview \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "pages=3" \
  -F "width=800"
{
  "id": "job_abc123",
  "status": "pending"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "input": "https://example.com/document.pdf",
  "pages": 3,
  "width": 800
}
curl -X POST https://api.ringbee.dev/v1/pipeline/document-preview \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "pages=3" \
  -F "width=800"
ParamTypeDescription
pagesintegerNumber of pages to generate previews for
widthintegerOutput image width in pixels

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

pages
integer

Number of pages to generate previews for

width
integer

Output image width in pixels

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"